Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.plugin.sms.common.state
Class NotificationInfo

    java.lang.Object
      com.bea.wlcp.wlng.plugin.sms.common.state.NotificationInfo

All Implemented Interfaces:
  Serializable

public class NotificationInfo
extends Object
implements Serializable

See Also:
  Serialized Form

  Copyright © 2008 Oracle Corporation. All Rights Reserved.

Constructor Summary
`protected` | `NotificationInfo()` Constructor
`protected` | `NotificationInfo(String endpoint, String correlator, String shortCode, String criteria, String appInstGroupID)` Constructor

Method Summary
`String` | `getAppInstGroupID()`
`String` | `getCorrelator()`
`String` | `getCriteria()`
`String` | `getEndpoint()`
`String` | `getShortCode()`
`void` | `setAppInstGroupID(String appInstGroupID)`
`void` | `setCorrelator(String correlator)`
`void` | `setCriteria(String criteria)`
`void` | `setEndpoint(String endpoint)`
`void` | `setShortCode(String shortCode)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NotificationInfo

    protected NotificationInfo()

  Constructor

### NotificationInfo

    protected NotificationInfo(String endpoint,
                               String correlator,
                               String shortCode,
                               String criteria,
                               String appInstGroupID)

  Constructor

Method Detail

### getAppInstGroupID

    public String getAppInstGroupID()

### getCorrelator

    public String getCorrelator()

### getCriteria

    public String getCriteria()

### getEndpoint

    public String getEndpoint()

### getShortCode

    public String getShortCode()

### setAppInstGroupID

    public void setAppInstGroupID(String appInstGroupID)

### setCorrelator

    public void setCorrelator(String correlator)

### setCriteria

    public void setCriteria(String criteria)

### setEndpoint

    public void setEndpoint(String endpoint)

### setShortCode

    public void setShortCode(String shortCode)

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD